﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DTOs
{
    /// <summary>
    /// define a mathematical chapter or thematic
    /// properties :
    ///     Id : identifier in the database
    ///     Name : name of the chapter
    /// </summary>
    public class ChapterDto
    {
        public int Id { get; set; }
        public string Name { get; set; } = null!;
    }
}
